ubuntu20.04的默认python版本是3.8.2,但是百度的飞桨需要的版本最高是3.7,于是我们需要新编译一个python3.7的版本。

我们挑选的python3.7的版本是python3.7.7,链接如下:

https://www.python.org/downloads/release/python-377/

我们下载源码文件类型,两种格式Gzipped source tarballXZ compressed source tarball任意一个均可,下载后上传到命令终端。

预先安装依赖包

sudo apt-get install -y gcc make build-essential libssl-dev zlib1g-dev libbz2-dev libreadline-dev libsqlite3-dev wget curl llvm libncurses5-dev libncursesw5-dev xz-utils tk-dev libffi-dev liblzma-dev

解压下载包

解压我们下载的源码文件,进入解压后的文件夹,tar的解压命令为:tar -xvf

解压后进入文件夹下,我们可以看到文件有:

aclocal.m4           Doc         m4               Parser         README.rst
CODE_OF_CONDUCT.rst  Grammar     Mac              PC             setup.py
config.guess         Include     Makefile.pre.in  PCbuild        Tools
config.sub           install-sh  Misc             Programs
configure            Lib         Modules          pyconfig.h.in
configure.ac         LICENSE     Objects          Python

配置并检查环境

在文件夹下打开终端输入

sudo ./configure --enable-optimizations --prefix=/usr/local/bin/python3.7

上面的设定使python3.7的安装目录在/usr/local/bin/python3.7

编译安装

make

编译完成后我们继续安装

sudo make install

这个编译安装时间比较长,耐心等待一下

安装完成之后我们要设定软连接

sudo ln -s -f /usr/local/lib/python3.7/bin/python3.7 /usr/bin/python3.7
sudo ln -s -f /usr/local/lib/pip3.7/bin/python3.7 /usr/bin/pip3.7

升级pip版本

有人会讲,之前你的一篇文章 https://blog.csdn.net/CANGYE0504/article/details/104905616 不是不建议升级的嘛?是的,那篇文章我建议不要升级系统的python版本,但是这个python3.7是我们自己编译安装的,不属于系统自带的版本,升级是可以的

sudo pip3.7 install --upgrade pip

记住,以后如果想使用python或者pip3.7版本,python3.7,pip3.7后面的3.7绝对不可以丢,至于之后的版本轮换,可参考这篇文章:https://www.linuxidc.com/Linux/2019-12/161629.htm

鸣谢:https://blog.csdn.net/CANGYE0504/article/details/105757394

    版权声明:

     本网站的所有文字、图片资料,未标注转字的均由作者亲自整理创作,如需复制、转载、转贴等方式发布/发表,请以锚链接的方式显示原文出处,请尊重我的劳动成果,侵权必究。本网站转载的文章如有侵权的地方请及时联系本人,核对后会第一时间删除!

阿沐
1625139774@qq.com

发表评论